summaryrefslogtreecommitdiff
path: root/tools/net
diff options
context:
space:
mode:
authorChuck Lever <chuck.lever@oracle.com>2024-10-07 14:07:54 -0400
committerChuck Lever <chuck.lever@oracle.com>2024-11-18 20:22:59 -0500
commita32442f6ca32cf402a76856d5e713bd742481ba2 (patch)
treea147316482e4383764dd7d7917208ad44d877a23 /tools/net
parentbb4f07f2409c26c01e97e6f9b432545f353e3b66 (diff)
xdrgen: Add a utility for extracting XDR from RFCs
For convenience, copy the XDR extraction script from RFC Reviewed-by: Jeff Layton <jlayton@kernel.org> Signed-off-by: Chuck Lever <chuck.lever@oracle.com>
Diffstat (limited to 'tools/net')
-rwxr-xr-xtools/net/sunrpc/extract.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/net/sunrpc/extract.sh b/tools/net/sunrpc/extract.sh
new file mode 100755
index 000000000000..f944066f25bc
--- /dev/null
+++ b/tools/net/sunrpc/extract.sh
@@ -0,0 +1,11 @@
+#! /bin/sh
+# SPDX-License-Identifier: GPL-2.0
+#
+# Extract an RPC protocol specification from an RFC document.
+# The version of this script comes from RFC 8166.
+#
+# Usage:
+# $ extract.sh < rfcNNNN.txt > protocol.x
+#
+
+grep '^ *///' | sed 's?^ */// ??' | sed 's?^ *///$??'